de.esprit.appsuite.io.archive

## Class ArchiveInputList

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.io.archive.ArchiveInputList

- All Implemented Interfaces:
    Dumpable, java.lang.Iterable<ArchiveInputEntry>

      public class ArchiveInputList
      extends DumpableObject
      implements java.lang.Iterable<ArchiveInputEntry>

  This list stores `ArchiveInputEntry` objects to be archived. Furthermore it knows the total size of all input files (for driving a progress bar).
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArchiveInputList()`
    `ArchiveInputList(java.io.File rootDir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDirectory(java.io.File dir, java.io.FileFilter filter)`
    `void` | `addFile(java.io.File file)`
    `java.util.List<ArchiveInputEntry>` | `getEntries()`
    `java.io.File` | `getRootDir()`
    `long` | `getTotalSize()`
    `boolean` | `isEmpty()`
    `java.util.Iterator<ArchiveInputEntry>` | `iterator()`
    `void` | `removeInputFiles()`
    `void` | `setRootDir(java.io.File rootDir)` Sets the root-directory for all entries in this list.
    `int` | `size()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArchiveInputList

          public ArchiveInputList()

    - #### ArchiveInputList

          public ArchiveInputList(java.io.File rootDir)

  - ### Method Detail

    - #### iterator

          public java.util.Iterator<ArchiveInputEntry> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<ArchiveInputEntry>`

    - #### getTotalSize

          public long getTotalSize()

    - #### setRootDir

          public void setRootDir(java.io.File rootDir)

      Sets the root-directory for all entries in this list. All entry pathnames will be relative to this base path. Note that the root-directory must be set before filling any files or directories.

    - #### getRootDir

          public java.io.File getRootDir()

    - #### addDirectory

          public void addDirectory(java.io.File dir,
                          java.io.FileFilter filter)

    - #### addFile

          public void addFile(java.io.File file)

    - #### getEntries

          public java.util.List<ArchiveInputEntry> getEntries()

    - #### isEmpty

          public boolean isEmpty()

    - #### size

          public int size()

    - #### removeInputFiles

          public void removeInputFiles()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.